Package: org.apache.groovy.ginq.dsl

## [Groovy] Class GinqAstOptimizer.3

- org.apache.groovy.ginq.dsl.GinqAstOptimizer.3

-     class GinqAstOptimizer.3
      extends GinqAstBaseVisitor

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GinqAstOptimizer.3()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitVariableExpression(VariableExpression variableExpression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GinqAstBaseVisitor` | `visit, visitFromExpression, visitGinqExpression, visitGroupExpression, visitHavingExpression, visitJoinExpression, visitLimitExpression, visitOnExpression, visitOrderExpression, visitSelectExpression, visitShutdownExpression, visitWhereExpression`
    `class CodeVisitorSupport` | `afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

- - ### Constructor Detail

    - #### GinqAstOptimizer.3()

  - ### Method Detail

    - #### @Override
      void visitVariableExpression(VariableExpression variableExpression)